#!/bin/bash
# ┌──────────────────────────────────────────────────────────┐
# │ Author: Bruno.Tosta                                      │
# │ Desc: Rodar um comando remotamente                       │
# └─────────────────────────────────────────── Santa Helena ─┘
LOJA_1=( # HIPER
'10.10.0.127'
'10.10.0.126'
'10.10.0.125'
'10.10.0.124'
'10.10.0.123'
'10.10.0.122'
'10.10.0.121'
'10.10.0.120'
'10.10.0.119'
'10.10.0.118'
'10.10.0.117'
'10.10.0.115'
'10.10.0.114'
'10.10.0.113'
'10.10.0.112'
'10.10.0.111'
'10.10.0.110'
'10.10.0.109'
'10.10.0.108'
'10.10.0.101'
'10.10.0.129'
'10.10.0.130'
'10.10.0.128'
)
LOJA_2=( # PRIMAVERA
'10.10.0.210'
'10.10.0.211'
'10.10.0.212'
'10.10.0.213'
'10.10.0.214'
'10.10.0.215'
'10.10.0.216'
'10.10.0.217'
'10.10.0.218'
'10.10.0.219'
'10.10.0.220'
'10.10.0.221'
'10.10.0.222'
'10.10.0.223'
)
LOJA_3=( # PLUS
'10.10.0.147'
'10.10.0.148'
'10.10.0.149'
'10.10.0.150'
'10.10.0.151'
'10.10.0.152'
'10.10.0.153'
'10.10.0.154'
'10.10.0.157'
'10.10.0.158'
'10.10.0.159'
)
LOJA_4=( # MIX
'10.10.0.181'
'10.10.0.182'
'10.10.0.183'
'10.10.0.184'
'10.10.0.185'
'10.10.0.189'
)
LOJA_5=( # SHOPPING
'10.10.1.1'
'10.10.1.2'
'10.10.1.3'
'10.10.1.4'
'10.10.1.5'
'10.10.1.6'
'10.10.1.7'
'10.10.1.8'
'10.10.1.9'
'10.10.1.10'
'10.10.1.11'
'10.10.1.12'
'10.10.1.13'
'10.10.1.14'
)
LOJA_6=( # MANOA
'10.10.2.1'
'10.10.2.2'
'10.10.2.3'
'10.10.2.4'
'10.10.2.5'
'10.10.2.6'
'10.10.2.7'
'10.10.2.8'
'10.10.2.9'
)
LOJA_7=( # BOA VISTA
'10.10.3.11'
'10.10.3.12'
'10.10.3.13'
'10.10.3.14'
'10.10.3.15'
'10.10.3.16'
)
LOJA_8=( # PROGRESSO
'10.10.4.1'
'10.10.4.2'
'10.10.4.3'
'10.10.4.4'
'10.10.4.5'
'10.10.4.6'
'10.10.4.7'
'10.10.4.8'
'10.10.4.9'
'10.10.4.10'
'10.10.4.11'
)
LOJA_9=( # JEQUITIBÁ
'10.10.6.1'
'10.10.6.2'
'10.10.6.3'
'10.10.6.4'
'10.10.6.5'
'10.10.6.6'
'10.10.6.7'
)
COMANDO="
rm '/usr/local/sigpdv/version.py' && wget -qO '/usr/local/sigpdv/version.py' --show-progress 'http://download.sigsolucoes.net.br/public/Tosta/ERP/pacotes/version.py' && chown caixa:caixa '/usr/local/sigpdv/version.py' && echo 'OK version.py'

rm '/usr/local/sigpdv/pos.py' && wget -qO '/usr/local/sigpdv/pos.py' --show-progress 'http://download.sigsolucoes.net.br/public/Tosta/ERP/pacotes/pos.py' && chown caixa:caixa '/usr/local/sigpdv/pos.py' && echo 'OK pos.py'

rm '/usr/local/sigpdv/control/sorteio.py' && wget -qO '/usr/local/sigpdv/control/sorteio.py' --show-progress 'http://download.sigsolucoes.net.br/public/Tosta/ERP/pacotes/sorteio.py' && chown caixa:caixa '/usr/local/sigpdv/control/sorteio.py' && echo 'OK sorteio.py'

rm '/usr/local/sigpdv/control/cad_funcionario.py' && wget -qO '/usr/local/sigpdv/control/cad_funcionario.py' --show-progress 'http://download.sigsolucoes.net.br/public/Tosta/ERP/pacotes/cad_funcionario.py' && chown caixa:caixa '/usr/local/sigpdv/control/cad_funcionario.py' && echo 'OK cad_funcionario.py'
"
# AItera sobre cada IP na lista
for IP in "${LOJA_1[@]}"; do
    echo 'Executar atualização em ${IP}:'
    ssh -o StrictHostKeyChecking=no "caixa@$IP" "$COMANDO"
    echo '───────────────────────────────'
done
